Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Interface UserManager

All Superinterfaces
  javax.ejb.EJBObject, Remote

Deprecated See method level Javadoc and com.bea.p13n.security.management.authentication.AtnManagerProxy

    public interface UserManager

extends javax.ejb.EJBObject

Remote Interface for the UserManager session bean. This is the synchronization point between user profile support and WebLogic security. Any user management operations should be done here, rather than through the security APIs directly. This class depends on the following EJB environment in the ejb deployment descriptor:

- jdbc/commercePool: a resource-ref to a TxDataSource for the commercePool database connection pool containing user profile data.
- ejb/UserProfileManager: an ejb-ref pointing to the default UserProfileManager deployment.
- ejb/ProfileType/...: any alternative profile types should have an ejb-ref entry of the form ejb/ProfileType/<profile type name> that points to the appropriate UserProfileManager for that type. These are optional, applicable only if other profile types are used.
- ReservedUserNames: an env-entry of type String containing a comma-separated list of user names (case insensitive) that are restricted: the UserManager will not create users with these names. These are optional, required only if you wish to restrict creation of any user names.
- ProtectedUserNames: an env-entry of type String containing a comma-separated list of user names (case insensitive) that cannot be deleted through the UserManager. These are optional, required only if you wish to protect user names from deletion.

Any methods that create or remove users delegate to the WebLogic provider selected by RealmHelper.getProviderMBean. If multiple providers are configured, see RealmHelper for information about which of those providers will be used.

See Also
  `RealmHelper.getProviderMBean()`

Method Summary
`void` | `authenticate(String username, String password)` Deprecated See com.bea.p13n.security.Authentication
`ProfileWrapper` | `createUser(String username, String password)` Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy
`ProfileWrapper` | `createUser(String username, String password, String profileType)` Deprecated User and Profile operations are no longer codependent
`String[]` | `getProfileTypeNames()` Deprecated Multiple profile types are no longer supported
`List` | `getUserNames(String searchExpression, int limit)` Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy
`ProfileWrapper` | `getUserProfile(String username)` Deprecated See com.bea.p13n.usermgmt.profile.ProfileFactory
`ProfileManager` | `getUserProfileManager(String username)` Deprecated Returns the appropriate ProfileManager deployment for this user, based on the user's profile type.
`void` | `removeUser(String username)` Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy
`void` | `setPassword(String username, String password)` Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy
`boolean` | `userExists(String username)` Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### authenticate

    void authenticate(String username,
                      String password)
                      throws RemoteException,
                             AuthenticationException

  Deprecated See com.bea.p13n.security.Authentication

  Authenticate a user. Throws an `AuthenticationException` if the user is not a valid user or credentials are invalid. This method is only used to verify a username and password, it does not do anything to :log in" or set the user as the "current" system user.

  Parameters
    `username` - the username for the user
    `password` - the password for the user
  Throws
    `AuthenticationException` - if the user is not a valid user or credentials are incorrect
    `RemoteException` - because of EJB contract

### getUserProfile

    ProfileWrapper getUserProfile(String username)
                                  throws RemoteException

  Deprecated See com.bea.p13n.usermgmt.profile.ProfileFactory

  Get the Profile for the given user. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username for the user
  Returns
    a user profile for a user
  Throws
    `RemoteException` - because of EJB contract

### getUserProfileManager

    ProfileManager getUserProfileManager(String username)
                                         throws RemoteException

  Deprecated
  Returns the appropriate ProfileManager deployment for this user, based on the user's profile type. If the user exists in the realm, but does not have a profile yet, a profile will be created at this time. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username for the user
  Returns
    a user profile for a user
  Throws
    `RemoteException` - because of EJB contract

### userExists

    boolean userExists(String username)
                       throws RemoteException

  Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Determines if a user exists. This method simply checks all providers for a user with the given name.

  Parameters
    `username` - the user to look for
  Returns
    true if the user exists, false if it does not
  Throws
    `RemoteException`

### createUser

    ProfileWrapper createUser(String username,
                              String password)
                              throws RemoteException,
                                     UserAlreadyExistsException,
                                     InvalidUsernameException,
                                     InvalidPasswordException

  Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Creates a user with the given username and password. This user will use the default UserProfileManager for profile entries.

  Parameters
    `username` - the username for the new user
    `password` - the password for the new user
  Returns
    a ProfileManager that can be used to access the new User
  Throws
    `InvalidPasswordException` - if the password is malformed or otherwise invalid
    `InvalidUsernameException` - if the username is malformed or otherwise invalid
    `RemoteException` - because of EJB contract
    `UserAlreadyExistsException` - if the username is already in use

### createUser

    ProfileWrapper createUser(String username,
                              String password,
                              String profileType)
                              throws RemoteException,
                                     UserAlreadyExistsException,
                                     InvalidUsernameException,
                                     InvalidPasswordException

  Deprecated User and Profile operations are no longer codependent

  Creates a user with a specific profile type.

  Parameters
    `username` - the username for the new user
    `password` - the password for the new user
    `profileType` - the name of the profile type for the new user
  Returns
    a ProfileWrapper that can be used to access the new User
  Throws
    `InvalidPasswordException` - if the password is malformed or otherwise invalid
    `InvalidUsernameException` - if the username is malformed or otherwise invalid
    `RemoteException` - because of EJB contract
    `UserAlreadyExistsException` - if the username is already in use

### setPassword

    void setPassword(String username,
                     String password)
                     throws RemoteException,
                            InvalidPasswordException

  Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Sets the password for a user in the realm. Security constraints should restrict use of this method to administrators only. A user should use changePassword to change thier own password.

  Parameters
    `username` - the username of the user
    `password` - the new password for the user
  Throws
    `InvalidPasswordException` - if the password is malformed or otherwise invalid
    `RemoteException` - because of EJB contract

### removeUser

    void removeUser(String username)
                    throws RemoteException,
                           InvalidUsernameException

  Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Removes a user from the system. This will remove both the realm and profile records for this user. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username of the user to remove
  Throws
    `RemoteException` - because of EJB contract
    `InvalidUsernameException` - if the user is protected and cannot be deleted

### getUserNames

    List getUserNames(String searchExpression,
                      int limit)
                      throws RemoteException

  Deprecated See com.bea.p13n.security.management.authentication.AtnManagerProxy

  Returns a List of users' names matching the search expression

  Parameters
    `searchExpression` - a wildcard search expression
    `limit` - a limit of results to return
  Throws
    `RemoteException` - because of EJB contract

### getProfileTypeNames

    String[] getProfileTypeNames()
                                 throws RemoteException

  Deprecated Multiple profile types are no longer supported

  Return a list of profile type names that are registered with the UserManager.

  Returns
    a String array of profile type names; or null if none are defined
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.